
QGIS Application - Bug report #21654

Crash after geometry check

2019-03-22 11:27 AM - Marc Rappe

Status: Feedback

Priority: High

Assignee:

Category: Geometry

Affected QGIS version:3.6.0 Regression?: Yes

Operating System: Win 10 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29470

Description

User Feedback

after execution of geometry checker in 3.4.5 and 3.6

Report Details

Crash ID: 5631159f7205344195e06963813e3789a7f878d3

Stack Trace

QgsGeometryCollection::vertexAt :

QgsAbstractGeometry::centroid :

QgsGeometryDuplicateCheck::collectErrors :

QgsGeometryChecker::runCheck :

QgsGeometryChecker::runCheck :

QgsGeometryCheckError::closeMatch :

QgsInternalGeometrySnapper::operator= :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.5-Madeira

QGIS code revision: commit:89ee6f6e23

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-03-22 11:46 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please change subject and description to English, thanks!

2025-04-26 1/2



#2 - 2019-04-06 02:16 PM - Jürgen Fischer

- Subject changed from Crash nach Geometrieprüfer to Crash after geometry check

#3 - 2019-04-06 02:16 PM - Jürgen Fischer

- Description updated
